Bug 1022048 - socat: strncpy hardening
socat: strncpy hardening
Status: MODIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: socat (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Paul Wouters
BaseOS QE Security Team
:
Depends On:
Blocks: 1019961 1085024
  Show dependency treegraph
 
Reported: 2013-10-22 10:31 EDT by Florian Weimer
Modified: 2017-10-03 21:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7.3.1-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-10-22 10:31:25 EDT
xiosetenv() in sysutils.c misuses strncpy() because that function does not guarantuee NUL termination.  This also affects other uses of strncpy() in the code base, so a wrapper that mimics the strlcopy behavior would make sense, I think.
Comment 2 Gerhard 2014-03-10 17:06:58 EDT
Has been fixed in upstream release 1.7.2.4

Note You need to log in before you can comment on or make changes to this bug.